%define buildgui 0

Summary: jigdo - jigsaw download
Name: jigdo
Version: 0.7.1
Release: 1m
License: GPL
Group: Applications/System
URL: http://atterer.net/jigdo/
%NoSource 0 http://atterer.net/jigdo/%{name}-%{version}.tar.bz2 aa9aa42923af90d09b6ff4a878b8d53a
Source1: jd4ml
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: bash db4, libstdc++, zlib
BuildPreReq: db4-devel, libstdc++-devel, zlib-devel

%if %{buildgui}
%package gtk
Summary: jigdo - jigsaw download for gtk
Group: Applications/System
Requires: jigdo, XFree86-libs, atk, bash, db4, fontconfig, freetype2
Requires: glib, gtk+, gtk+-common, libstdc++, pango, w3c-libwww, zlib
Requires: ruby
BuildPreReq: XFree86-devel, atk-devel, fontconfig-devel
BuildPreReq: freetype2-devel, glib-devel, gtk+-devel
BuildPreReq: pango-devel, w3c-libwww-devel
%endif

%description
Jigsaw Download, or short jigdo, is a tool designed to ease the distribution
of very large files over the internet, for example CD or DVD images.

Its aim is to make downloading the images as easy for users as a click on
a direct download link in a browser, while avoiding all the problems that
server administrators have with hosting such large files.

%if %{buildgui}
%description gtk
jigdo-gtk package provides the GTK+ interface for the jigsaw download.
%endif

%prep
%setup -q

%build
%if %{buildgui}
%configure
%else
%configure --without-gui
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT/%{_datadir}/jigdo/debian-mirrors.jigdo
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/jd4ml

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README THANKS doc/*.txt doc/*.html
%{_bindir}/jigdo-file
%{_bindir}/jigdo-lite
%{_bindir}/jigdo-mirror
%{_bindir}/jd4ml
%{_mandir}/man1/jigdo-mirror.1*
%{_mandir}/man1/jigdo-file.1*
%{_mandir}/man1/jigdo-lite.1*
%{_datadir}/locale/de/LC_MESSAGES/jigdo.mo

%if %{buildgui}
%files gtk
%defattr(-,root,root,-)
%{_bindir}/jigdo
%{_mandir}/man1/jigdo.1*
%{_datadir}/jigdo/COPYING
%{_datadir}/jigdo/pixmaps
%endif

%changelog
* Tue Aug 10 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.7.1-1m)
  Initial build.

